Skip to main content

Create a SAML connector

POST 

/api/v1/MfaConnector/Saml

Creates a SAML multi-factor authentication connector together with its SAML settings. Use it to add a SAML identity provider as a sign-in method.

Permission required: Administrator role.

Values for loginType: 0 = SamAccountName, 1 = UserPrincipalName, 2 = EmailAddress, 3 = Sid.

Values for connectorType: -1 = MFANotRequired, 0 = MFAConnector (RADIUS), 1 = OpenIdConnect, 2 = Saml.

Request​

Responses​

The new connector.